<div class="freeinvoice-api-order-edit-fields-wrap wrap freeinvoice-api-meta-box">
    <?php wp_nonce_field('freeinvoice-api-order-update', 'freeinvoice-api-field-order-update');
    if (Freeinvoice_Api_Billing::is_send_invoice_aviable($post->ID, $messages)) :
        $invoice_status = Freeinvoice_Api_Billing::get_invoice_status($post->ID);
        $show_cf_login_button = true;
        $accedi_a_freeinvoice = __('Accedi al tuo pannello FreeInvoice', 'freeinvoice-api');
        switch ($invoice_status) {
            case 4:
                echo '<div class="order-status status-failed"><span>' . __('Scartata', 'freeinvoice-api') . '</span></div>';
                $billing_msg = __('La fattura è stata scartata, accedi al tuo pannello FreeInvoice per maggiori dettagli e per ritentare l\'invio', 'freeinvoice-api');
                break;
            case 5:
                echo '<div class="order-status status-pending"><span>' . __('Elaborazione', 'freeinvoice-api') . '</span></div>';
                $billing_msg = __('La fattura è in fase di invio al SdI, accedi al tuo pannello FreeInvoice per maggiori dettagli.', 'freeinvoice-api');
                break;
            case 7:
                echo '<div class="order-status status-completed"><span>' . __('Inviata', 'freeinvoice-api') . '</span></div>';
                $billing_msg = __('La fattura è stata inviata al SdI ma non ha ancora ricevuto notifiche di risposta, consultala anche dal tuo pannello FreeInvoice', 'freeinvoice-api');
                break;
            case 8:
                echo '<div class="order-status status-processing"><span>' . __('Consegnata', 'freeinvoice-api') . '</span></div>';
                $billing_msg = __('La fattura è stata correttamente inviata al SdI e consegnata al canale del cessionario committente, consultala anche dal tuo pannello FreeInvoice', 'freeinvoice-api');
                break;
            case 9:
                echo '<div class="order-status status-processing"><span>' . __('Non consegnata', 'freeinvoice-api') . '</span></div>';
                $billing_msg = __('La fattura è stata correttamente inviata al SdI ma il SdI non è stato in grado di consegnarla al canale del cessionario committente, accedi al tuo pannello FreeInvoice per maggiori dettagli.', 'freeinvoice-api');
                break;
            default:
                echo '<div class="order-status status-on-hold"><span>' . __('Pronta per l\'invio', 'freeinvoice-api') . '</span></div>';
                $billing_msg = __('Verifica ed aggiorna i dettagli, poi procedi con l\'invio della fattura elettonica direttamente da qui.', 'freeinvoice-api');
                $show_cf_login_button = false;
                break;
        } //endSwitch 
    ?>
        <p class="cffi-billing-main-msg"><?= $billing_msg; ?></p>
        <?php if ($show_cf_login_button) : ?>
            <a href="<?= Freeinvoice_Api_Comm::get_freeinvoice_panel_link(); ?>" target="_blank"><button class="button button-primary" type="button"><?= $accedi_a_freeinvoice; ?></button></a>
            <?php else :;
            $b = Freeinvoice_Api_Billing::get_billing_data($post->ID, $errors);
            $next_invoice = Freeinvoice_Api_Billing::get_invoice_number();
            echo '<div id="_freeinvoice_api_invoice_number_auto">' . __('Numero fattura', 'freeinvoice-api') . ": <b>$next_invoice</b></div>";
            foreach ($billing as $id => $field) :
                // creating empty unsetted data
                $name = $id;
                $type = 'text';
                $options = $class = $label_class = $input_class = array();
                $label = $value = '';
                extract($field, EXTR_IF_EXISTS);

                $short_id = str_replace(Freeinvoice_Api_Billing::DB_PREFIX, '', $id);
                if (isset($errors[$short_id]))
                    $input_class[] = 'freeinvoice-api-border-red';
                $class = implode(' ', $class);
                $label_class = implode(' ', $label_class);
                $input_class = implode(' ', $input_class);
                if (empty($value) && isset($b[$short_id]))
                    $value = $b[$short_id];
            ?>
                <p id="<?= $id; ?>_field" class="form-field form-field-wide <?= $class; ?>">
                    <label for="<?= $id; ?>" class="<?= $label_class; ?>"> <?= $label; ?>: </label>
                    <?php if ($type == 'select') : ?>
                        <select id="<?= $id; ?>" name="<?= $id; ?>" class="<?= $input_class; ?>">
                            <?php foreach ($options as $key => $opt_label) :
                                if ($value === $key) $select = 'selected';
                                else $select = '' ?>
                                <option value="<?= $key; ?>" <?= $select; ?>><?= $opt_label; ?></option>
                            <?php endforeach; ?>
                        </select>
                        <?php else :
                        if ($type == 'checkbox') :
                            if ($value == 'true')
                                $value = 'true" checked="true';
                            else
                                $value = 'true'; ?>
                            <input name="<?= $id; ?>" type="hidden" value="false">
                        <?php endif; ?>
                        <input id="<?= $id; ?>" name="<?= $id; ?>" type="<?= $type; ?>" class="<?= $input_class; ?>" value="<?= $value; ?>">
                    <?php endif; ?>
                </p>
            <?php endforeach; ?>
            <p>
                <button type="submit" class="button button-primary"><?= __('Aggiorna dati', 'freeinvoice-api'); ?></button>
                &nbsp;&nbsp;&nbsp;&nbsp;
                <?php if (empty($errors)) :
                    add_thickbox(); ?>
                    <a href="#TB_inline?&width=400&height=220&inlineId=modal-freeinvoice-window-id-<?= $post->ID; ?>" class="thickbox"><button class="button"><?= __('Invia Fattura al SDI', 'freeinvoice-api'); ?></button></a>
                    <div id="modal-freeinvoice-window-id-<?= $post->ID; ?>" style="display: none;">
                        <h3>Stai per inviare una fattura elettronica al sistema di interscambio con i seguenti dati:</h3>

                        <?php $billing_data = Freeinvoice_Api_Billing::get_billing_data($post->ID, $order_errors); ?>
                        <pre>
          <?php
                    echo "\nNumero Fattura: {$billing_data['invoice_number']}\n";
                    echo "Data Fattura: {$billing_data['invoice_date']}\n";
            ?>
      </pre>
                        <div style="display: none;" id="ajax-send-invoice-response-<?= $post->ID; ?>">Attendere risposta dal server...</div>
                        <button id="ajax-send-invoice-button-<?= $post->ID; ?>" onclick="send_freeinvoice_api_invoice(<?= $post->ID; ?>,'<?= wp_create_nonce('freeinvoice-api-send-order-' . $post->ID); ?>')" class="button-primary button">OK</button>
                    </div>
                    <?php else :
                    foreach ($errors as $id => $msg) : ?>
                        <div class="notice notice-error">
                            <p><?= $msg; ?></p>
                        </div>
                <?php endforeach;
                endif; ?>
            </p>
        <?php
        endif;
    else : ?>
        <ul>
            <?php foreach ($messages as $msg) : ?><li><?= $msg; ?></li><?php endforeach; ?>
        </ul>
    <?php endif; ?>
</div>