<?php
$natura_opts = array(
    'N1' =>        __('N1 - escluse ex art. 15', 'freeinvoice-api'),
    'N2.1' =>      __('N2.1 - non soggette ad IVA ai sensi degli artt. da 7 a 7-septies del DPR 633/72 ', 'freeinvoice-api'),
    'N2.2' =>      __('N2.2 - non soggette – altri casi', 'freeinvoice-api'),
    'N3.1' =>      __('N3.1 - non imponibili – esportazioni', 'freeinvoice-api'),
    'N3.2' =>      __('N3.2 - non imponibili – cessioni intracomunitarie', 'freeinvoice-api'),
    'N3.3' =>      __('N3.3 - non imponibili – cessioni verso San Marino', 'freeinvoice-api'),
    'N3.4' =>      __('N3.4 - non imponibili – operazioni assimilate alle cessioni all’esportazione', 'freeinvoice-api'),
    'N3.5' =>      __('N3.5 - non imponibili – a seguito di dichiarazioni d’intento', 'freeinvoice-api'),
    'N3.6' =>      __('N3.6 - non imponibili – altre operazioni che non concorrono alla formazione del plafond', 'freeinvoice-api'),
    'N4' =>        __('N4 - esenti', 'freeinvoice-api'),
    'N5' =>        __('N5 - regime del margine / IVA non esposta in fattura', 'freeinvoice-api'),
    'N6.1' =>      __('N6.1 - inversione contabile - cessione di rottami e altri materiali di recupero', 'freeinvoice-api'),
    'N6.2' =>      __('N6.2 - inversione contabile - cessione di oro e argento puro', 'freeinvoice-api'),
    'N6.3' =>      __('N6.3 - inversione contabile - subappalto nel settore edile', 'freeinvoice-api'),
    'N6.4' =>      __('N6.4 - inversione contabile - cessione di fabbricati', 'freeinvoice-api'),
    'N6.5' =>      __('N6.5 - inversione contabile - cessione di telefoni cellulari', 'freeinvoice-api'),
    'N6.6' =>      __('N6.6 - inversione contabile - cessione di prodotti elettronici', 'freeinvoice-api'),
    'N6.7' =>      __('N6.7 - inversione contabile - prestazioni comparto edile e settori connessi', 'freeinvoice-api'),
    'N6.8' =>      __('N6.8 - inversione contabile - operazioni settore energetico', 'freeinvoice-api'),
    'N6.9' =>      __('N6.9 - inversione contabile - altri casi', 'freeinvoice-api'),
    'N7' =>        __('N7 - IVA assolta in altro stato UE (vendite a distanza ex art. 40 c. 3 e 4 e art. 41 c. 1 lett. b,  DL 331/93; prestazione di servizi di telecomunicazioni, tele-radiodiffusione ed elettronici ex art. 7-sexies lett. f, g, art. 74-sexies DPR 633/72)', 'freeinvoice-api'),
);

$tax_names = Freeinvoice_Api_Billing::get_aviable_zero_taxes();

if (count($tax_names) === 0)
    $desc = __(' Nessuna tassa a 0% configurata in WooCommerce ', 'freeinvoice-api');
else
    $desc = __(' scegli la natura fiscale delle tasse ', 'freeinvoice-api');

$settings = array(
    array(
        'name' => __('Tasse al 0% disponibili', 'freeinvoice-api'),
        'type' => 'title',
        'desc'  => $desc,
        'id'   => $prefix . 'tax_config_settings'
    ),
);

foreach ($tax_names as $slug => $name) {
    $settings[] =      array(
        'id'        => $prefix . $slug,
        'name'      => $name,
        'type'      => 'select',
        'options'   => $natura_opts,
        'default'   => Freeinvoice_Api_Billing::get_tax_natura($slug)
    );
}
$settings[] =  array(
    'type'      => 'sectionend',
    'id'        => $prefix . 'tax_config_settings'
);
