<?php
$taxRegimes = array(
    'RF01' => __('Ordinario', 'freeinvoice-api'),
    'RF02' => __('Contribuenti minimi (art.1, c.96-117, L. 244/07)', 'freeinvoice-api'),
    'RF04' => __('Agricoltura e attività connesse e pesca (artt.34 e 34-bis, DPR 633/72)', 'freeinvoice-api'),
    'RF05' => __('Vendita sali e tabacchi (art.74, c.1, DPR. 633/72)', 'freeinvoice-api'),
    'RF06' => __('Commercio fiammiferi (art.74, c.1, DPR 633/72)', 'freeinvoice-api'),
    'RF07' => __('Editoria (art.74, c.1, DPR 633/72)', 'freeinvoice-api'),
    'RF08' => __('Gestione servizi telefonia pubblica (art.74, c.1, DPR 633/72)', 'freeinvoice-api'),
    'RF09' => __('Rivendita documenti di trasporto pubblico e di sosta (art.74, c.1, DPR 633/72)', 'freeinvoice-api'),
    'RF10' => __('Intrattenimenti, giochi e altre attività di cui alla tariffa allegata al DPR 640/72 (art.74, c.6, DPR 633/72)', 'freeinvoice-api'),
    'RF11' => __('Agenzie viaggi e turismo (art.74-ter, DPR 633/72)', 'freeinvoice-api'),
    'RF12' => __('Agriturismo (art.5, c.2, L. 413/91)', 'freeinvoice-api'),
    'RF13' => __('Vendite a domicilio (art.25-bis, c.6, DPR 600/73)', 'freeinvoice-api'),
    'RF14' => __('Rivendita beni usati, oggetti d’arte, d’antiquariato o da collezione (art.36, DL 41/95)', 'freeinvoice-api'),
    'RF15' => __('Agenzie di vendite all’asta di oggetti d’arte, antiquariato o da collezione (art.40-bis, DL 41/95)', 'freeinvoice-api'),
    'RF16' => __('IVA per cassa P.A. (art.6, c.5, DPR 633/72)', 'freeinvoice-api'),
    'RF17' => __('IVA per cassa (art. 32-bis, DL 83/2012)', 'freeinvoice-api'),
    'RF18' => __('Altro', 'freeinvoice-api'),
    'RF19' => __('Regime forfettario (art.1, c.54-89, L. 190/2014)', 'freeinvoice-api'),
);

$settings = array(
    array(
        'name' => __('Dati Venditore', 'freeinvoice-api'),
        'type' => 'title',
        'id'   => $prefix . 'general_config_settings'
    ),
    array(
        'id'        => $prefix . 'sandbox_mode',
        'name'      => __('Attivare ambiente Sandbox?', 'freeinvoice-api'),
        'type'      => 'checkbox',
        'desc'  => __('Seleziona questa casella se desideri testare il servizio tramite il sandbox API FreeInvoice.', 'freeinvoice-api'),
        'default'   => 'yes'
    ),
    array(
        'id'        => $prefix . 'api_field',
        'name'      => __('API KEY', 'freeinvoice-api'),
        'type'      => 'text',
        'desc_tip'  => __('Inserisci qui la tua API KEY privata di Freeinvoice.', 'freeinvoice-api'),
    ),
    array(
        'id'        => $prefix . 'tax_representative_field',
        'name'      => __('Rappresentante fiscale', 'freeinvoice-api'),
        'type'      => 'select',
        'options'   => array('denomination' => __('Denominazione', 'freeinvoice-api'), 'surname_name' => __('Cognome e nome', 'freeinvoice-api')),
        'desc_tip'  => __(' scegli se fatturare con cognome e nome o con una denominazione fiscale ', 'freeinvoice-api')
    ),
    array(
        'id'        => $prefix . 'denomination_field',
        'name'      => __('Ditta, denominazione o ragione sociale (ditta, impresa, società, ente)', 'freeinvoice-api'),
        'type'      => 'text',
    ),
    array(
        'id'        => $prefix . 'surname_field',
        'name'      => __('Cognome', 'freeinvoice-api'),
        'class'     => 'freeinvoice-api-surname-name',
        'type'      => 'text',
    ),
    array(
        'id'        => $prefix . 'name_field',
        'name'      => __('Nome', 'freeinvoice-api'),
        'class'     => 'freeinvoice-api-surname-name',
        'type'      => 'text',
    ),
    array(
        'id'        => $prefix . 'vatcode_field', //con o senza IT
        'name'      => __('Partita iva', 'freeinvoice-api'),
        'type'      => 'text',
        'desc_tip'  => __(' La partita iva con cui è registrata l\'api key su Free Invoice senza anteporre il codice paese (IT) ', 'freeinvoice-api')
    ),
    array(
        'id'        => $prefix . 'taxcode_field',
        'name'      => __('Codice fiscale', 'freeinvoice-api'),
        'type'      => 'text',
        'desc_tip'  => __(' Il codice fiscale della tua attività. ', 'freeinvoice-api')
    ),
    array(
        'id'        => $prefix . 'taxregime_field',
        'name'      => __('Regime Fiscale', 'freeinvoice-api'),
        'type'      => 'select',
        'class'     => 'wc-taxregime-select cffi-dropdown',
        'options'   => $taxRegimes,
        'desc_tip'  => __('Seleziona il tuo regime fiscale. ', 'freeinvoice-api')
    ),
    array(
        'id'        => '',
        'name'      => __('Dati Venditore', 'freeinvoice-api'),
        'type'      => 'sectionend',
        'desc'      => '',
        'id'        => $prefix . 'general_config_settings'
    ),
    array(
        'name' => __('Gestione fatture', 'freeinvoice-api'),
        'type' => 'title',
        'id'   => $prefix . 'invoice_config_settings'
    ),
    array(
        'id'        => $prefix . 'private_enabled',
        'name'      => __('Fatturazione elettronica a privati permessa?', 'freeinvoice-api'),
        'type'      => 'checkbox',
        'desc'  => __('Seleziona questa casella se vuoi permettere la fatturazione elettronica a privati.', 'freeinvoice-api'),
        'default'   => 'yes'
    ),
    // array(
    //     'id'        => $prefix . 'invoice_send_auto',
    //     'name'      => __('Fatturazione elettronica automatica?', 'freeinvoice-api'),
    //     'type'      => 'checkbox',
    //     'desc'  => __('Seleziona questa casella se vuoi rendere automatico l\'invio della fattura elettronica al completamento dell\'ordine.', 'freeinvoice-api'),
    //     'default'   => 'no'
    // ),
    array(
        'id'        => $prefix . 'next_invoice_field',
        'name'      => __('Prossima fattura', 'freeinvoice-api'),
        'type'      => 'number',
        'css'       => 'width: 10rem;',
        'desc_tip'  => __('Numero progressivo della prossima fattura elettronica. ', 'freeinvoice-api'),
        'default'   => 1
    ),
    array(
        'id'        => $prefix . 'sectional_enabled',
        'name'      => __('Sezionale attivo', 'freeinvoice-api'),
        'type'      => 'checkbox',
        'desc'  => __('Seleziona la casella per attivare i sezionali. ', 'freeinvoice-api'),
        'default'   => true
    ),
    array(
        'class'     => 'freeinvoice-api-sectional-field',
        'id'        => $prefix . 'sectional_start_field',
        'name'      => __('Prefisso', 'freeinvoice-api'),
        'type'      => 'text',
        'desc_tip'  => __('Sezionale da anteporre al numero della fattura. ', 'freeinvoice-api')
    ),
    array(
        'class'     => 'freeinvoice-api-sectional-field',
        'id'        => $prefix . 'sectional_end_field',
        'name'      => __('Suffisso', 'freeinvoice-api'),
        'type'      => 'text',
        'desc_tip'  => __('Sezionale da accodare al numero della fattura. ', 'freeinvoice-api')
    ),
    array(
        'id'        => '',
        'name'      => __('Gestione fatture', 'freeinvoice-api'),
        'type'      => 'sectionend',
        'desc'      => '',
        'id'        => $prefix . 'invoice_config_settings'
    ),
    array(
        'name' => __('Salvataggio dei dati del plugin', 'freeinvoice-api'),
        'type' => 'title',
        'id'   => $prefix . 'invoice_data_settings'
    ),
    array(
        'id'        => $prefix . 'permanent_data',
        'name'      => __('Conservare i dati di freeinvoice api dopo la disinstallazione?', 'freeinvoice-api'),
        'type'      => 'checkbox',
        'desc'  => __('Seleziona la casella se non vuoi perdere le informazioni di fatturazione dopo la cancellazione del plugin.', 'freeinvoice-api'),
        'default'   => 'yes'
    ),
    array(
        'id'        => '',
        'name'      => __('Salvataggio dei dati del plugin', 'freeinvoice-api'),
        'type'      => 'sectionend',
        'desc'      => '',
        'id'        => $prefix . 'invoice_data_settings'
    ),
);
