<?php

/**
 * Fired during plugin activation
 *
 * @link       https://www.cloudfinance.it/
 * @since      1.0.0
 *
 * @package    Freeinvoice_Api
 * @subpackage Freeinvoice_Api/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Freeinvoice_Api
 * @subpackage Freeinvoice_Api/includes
 * @author     Cloud Finance srl <supportemail@cloudfinance.it>
 */
class Freeinvoice_Api_Activator
{

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate()
	{

		global $wpdb;
		$table_name = $wpdb->prefix.'freeinvoice_api_conn';
		$query = "CREATE TABLE $table_name ( `invoice_id` VARCHAR(20) NOT NULL , `order_id` BIGINT(20) NOT NULL   )";
		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		maybe_create_table($wpdb->prefix . $table_name, $query);
	}
}
