<?php
$xml_string = '<p:FatturaElettronica xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns:p="http://ivaservizi.agenziaentrate.gov.it/docs/xsd/fatture/v1.2" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" versione="FPR12" xsi:schemaLocation="http://ivaservizi.agenziaentrate.gov.it/docs/xsd/fatture/v1.2 http://www.fatturapa.gov.it/export/fatturazione/sdi/fatturapa/v1.2/Schema_del_file_xml_FatturaPA_versione_1.2.xsd">
	<FatturaElettronicaHeader>
		<DatiTrasmissione>
			<IdTrasmittente>
				<IdPaese>IT</IdPaese>
				<IdCodice>01589730629</IdCodice>
			</IdTrasmittente>
            <ProgressivoInvio>0000000000</ProgressivoInvio>			
			<FormatoTrasmissione>FPR12</FormatoTrasmissione>
			<CodiceDestinatario>' . $sdi_code . '</CodiceDestinatario>
			<ContattiTrasmittente>
                <Telefono>0824317019</Telefono>
                <Email>freeinvoice@cloudfinance.it</Email>
            </ContattiTrasmittente>';
if (isset($pec_destinatario))
	$xml_string .= '
			<PECDestinatario>' . $pec_destinatario . '</PECDestinatario>';
$xml_string .= '
		</DatiTrasmissione>
		<CedentePrestatore>
			<DatiAnagrafici>
				<IdFiscaleIVA>
					<IdPaese>' . $store_country . '</IdPaese>
					<IdCodice>' . $supplier_vat_code . '</IdCodice>
				</IdFiscaleIVA>
				<CodiceFiscale>' . $supplier_tax_code . '</CodiceFiscale>
				<Anagrafica>';
if (isset($supplier_company))
	$xml_string .= '
					<Denominazione>' . $supplier_company . '</Denominazione>';
else
	$xml_string .= '
					<Nome>' . $supplier_name . '</Nome>
					<Cognome>' . $supplier_surname . '</Cognome>';
$xml_string .= '
				</Anagrafica>
				<RegimeFiscale>' . $supplier_tax_regime . '</RegimeFiscale>
			</DatiAnagrafici>
			<Sede>
				<Indirizzo>' . $supplier_store_address . '</Indirizzo>
				<CAP>' . $supplier_store_postcode . '</CAP>
				<Comune>' . $supplier_store_city . '</Comune>';
if ($store_country === 'IT')
	$xml_string .=	'
				<Provincia>' . $store_state . '</Provincia>';
$xml_string .=	'
				<Nazione>' . $store_country . '</Nazione>
			</Sede>
			<Contatti/>
		</CedentePrestatore>
		<CessionarioCommittente>		
			<DatiAnagrafici>';
if (!$customer_is_a_private) {
	$xml_string .= '
				<IdFiscaleIVA>
					<IdPaese>' . $billing_country . '</IdPaese>
					<IdCodice>' . $billing_vat_code . '</IdCodice>
				</IdFiscaleIVA>';
} else
	$xml_string .= '
				<CodiceFiscale>' . $billing_tax_code . '</CodiceFiscale>';

$xml_string .= '
				<Anagrafica>';
if ($customer_is_a_private || empty($billing_company))
	$xml_string .= '
					<Nome>' . $billing_name . '</Nome>
					<Cognome>' . $billing_surname . '</Cognome>';
else
	$xml_string .= '
					<Denominazione>' . $billing_company . '</Denominazione>';

$xml_string .= '
				</Anagrafica>
			</DatiAnagrafici>
			<Sede>
				<Indirizzo>' . $billing_address . '</Indirizzo>
				<CAP>' . $billing_postcode . '</CAP>
				<Comune>' . $billing_city . '</Comune>';
if ($billing_country === 'IT')
	$xml_string .= '
				<Provincia>' . $billing_state . '</Provincia>';

$xml_string .= '
				<Nazione>' . $billing_country . '</Nazione>
			</Sede>
		</CessionarioCommittente>';
$xml_string .= '
		<TerzoIntermediarioOSoggettoEmittente>
			<DatiAnagrafici>
				<IdFiscaleIVA>
					<IdPaese>IT</IdPaese>
					<IdCodice>01589730629</IdCodice>
				</IdFiscaleIVA>
				<CodiceFiscale>01589730629</CodiceFiscale>
				<Anagrafica>
					<Denominazione>Cloud Finance S.r.l.</Denominazione>
				</Anagrafica>
			</DatiAnagrafici>
		</TerzoIntermediarioOSoggettoEmittente>
		<SoggettoEmittente>TZ</SoggettoEmittente>';


$total_weight = floatval(0);
foreach ($order->get_items() as $item_id => $product_item) {
	$quantity = $product_item->get_quantity();
	$product = $product_item->get_product();
	$product_weight = $product->get_weight();
	$total_weight += floatval($product_weight) * floatval($quantity);
}

$xml_string .= '
	</FatturaElettronicaHeader>
	<FatturaElettronicaBody>
		<DatiGenerali>
			<DatiGeneraliDocumento>
				<TipoDocumento>TD01</TipoDocumento>
				<Divisa>' . $order_currency . '</Divisa>
				<Data>' . $invoice_date . '</Data>
				<Numero>' . $invoice_number . '</Numero>
				<ImportoTotaleDocumento>' . $order_total . '</ImportoTotaleDocumento>
			</DatiGeneraliDocumento>
			<DatiTrasporto>
				<UnitaMisuraPeso>' . strtoupper($weight_unit) . '</UnitaMisuraPeso>
				<PesoLordo>' . number_format($total_weight, 2) . '</PesoLordo>
				<PesoNetto>' . number_format($total_weight, 2) . '</PesoNetto>			
			</DatiTrasporto>
		</DatiGenerali>
		<DatiBeniServizi>';



$DatiRiepilogoArr = array();

/* PRODOTTI */

$numero_linea = 1;
foreach ($order->get_items() as $item_id => $item_data) {
	$product = $item_data->get_product();
	$product_name = $product->get_name();
	//$product_price = $product->get_price();
	$product_price = wc_price(wc_get_price_including_tax($product));
	$product_id = $product->get_id();
	$item_quantity = number_format($item_data->get_quantity(), 2, '.', '');
	$item_total = number_format($item_data->get_total(), 2, '.', '');
	$tax = $item_data->get_tax_class();

	$percentuale_tassa = $wpdb->get_results("SELECT tax_rate, tax_rate_id FROM  " . $wpdb->prefix . "woocommerce_tax_rates WHERE tax_rate_class = '" . $tax . "' limit 1");
	$rowcount = $wpdb->num_rows;
	if ($rowcount > 0) {
		foreach ($percentuale_tassa as $tassa_r) {
			$tax_rate = number_format($tassa_r->tax_rate, 2, '.', '');
			$tax_rate_id = $tassa_r->tax_rate_id;
		}
	}

	wp_reset_query();

	if (count($DatiRiepilogoArr) == 0) {
		$DatiRiepilogo = new DatiRiepilogo();
		$DatiRiepilogo->TaxRateId = $tax_rate_id;
		$DatiRiepilogo->AliquotaIVA = $tax_rate;
		$DatiRiepilogo->ImponibileImporto = $item_total;
		$DatiRiepilogo->Imposta = 0;
		array_push($DatiRiepilogoArr, $DatiRiepilogo);
	} else {
		$trovato = false;
		for ($i = 0; $i < count($DatiRiepilogoArr); $i++) {
			if ($tax_rate_id == $DatiRiepilogoArr[$i]->TaxRateId) {
				$DatiRiepilogoArr[$i]->ImponibileImporto += $item_total;
				$trovato = true;
				break;
			}
		}
		if (!$trovato) {
			$DatiRiepilogo = new DatiRiepilogo();
			$DatiRiepilogo->TaxRateId = $tax_rate_id;
			$DatiRiepilogo->AliquotaIVA = $tax_rate;
			$DatiRiepilogo->ImponibileImporto = $item_total;
			$DatiRiepilogo->Imposta = 0;
			array_push($DatiRiepilogoArr, $DatiRiepilogo);
		}
	}

	$product = wc_get_product($product_id);
	$product_type = $product->get_type();

	if (get_option('woocommerce_tax_total_display') == 'single') {
		// scorporo l'iva dal totale			
		$tax_rate_calc = (float) $tax_rate;
		//$item_total = $item_total - ($item_total * $tax_rate_calc / 100);
	}

	$xml_string .= '
						<DettaglioLinee>
							<NumeroLinea>' . $numero_linea . '</NumeroLinea>
							<CodiceArticolo>
								<CodiceTipo>' . $product_type . '</CodiceTipo>
								<CodiceValore>' . $product_id . '</CodiceValore>
							</CodiceArticolo>
							<Descrizione>' . $product_name . '</Descrizione>
							<Quantita>' . $item_quantity . '</Quantita>
							<UnitaMisura>' . strtoupper($weight_unit) . '</UnitaMisura>
							<PrezzoUnitario>' . number_format(round((float) $item_total / (float) $item_quantity, 2), 2, '.', '') . '</PrezzoUnitario>
							<PrezzoTotale>' . number_format($item_total, 2, '.', '') . '</PrezzoTotale>
							<AliquotaIVA>' . $tax_rate . '</AliquotaIVA>';
	$natura = Freeinvoice_Api_Billing::get_tax_natura(sanitize_title($tax));
	if (isset($natura))
		$xml_string .= '					
							<Natura>' . $natura . '</Natura>';
	$xml_string .= '					
						</DettaglioLinee>';

	$numero_linea++;
}

/* SPEDIZIONE */

$shipping_tax_percentage_id = 0;
$vat_shipping = 0;
$item_tax_rate_id = 0;
foreach ($order->get_items('tax') as $item_id => $item_tax) {
	$tax_data = $item_tax->get_data(); // Get the Tax data in an array
	$item_tax_rate_id = $tax_data['rate_id'];
	$item_tax_shipping_total = $tax_data['shipping_tax_total']; // Tax shipping total							
	if ($item_tax_shipping_total != 0) {
		$shipping_tax_percentage_id = $item_tax_rate_id;
	}
}

if ($shipping_tax_percentage_id != 0) {
	$result_shipping = $wpdb->get_results("SELECT tax_rate FROM  " . $wpdb->prefix . "woocommerce_tax_rates WHERE tax_rate_id = " . $shipping_tax_percentage_id . " limit 1");
	$rowcount_shipping = $wpdb->num_rows;
	if ($rowcount_shipping > 0) {
		foreach ($result_shipping as $row_shipping) {
			$vat_shipping = number_format((float) $row_shipping->tax_rate, 2, '.', '');
		}
	}
	wp_reset_query();
}

$totaleSpedizione = 0;
$totaleIvaSpedizione = 0;

if ($vat_shipping != 0) {
	$totaleSpedizione = number_format((float) get_post_meta($order_id, '_order_shipping', true), 2, '.', '');
	$totaleIvaSpedizione = ($totaleSpedizione * $vat_shipping) / 100;
	$xml_string .= '<DettaglioLinee>
							<NumeroLinea>' . $numero_linea . '</NumeroLinea>
							<CodiceArticolo>
								<CodiceTipo>spedizione</CodiceTipo>
								<CodiceValore>0000</CodiceValore>
							</CodiceArticolo>
							<Descrizione>Spese di spedizione</Descrizione>
							<Quantita>1.00</Quantita>
							<PrezzoUnitario>' . $totaleSpedizione . '</PrezzoUnitario>
							<PrezzoTotale>' . $totaleSpedizione . '</PrezzoTotale>
							<AliquotaIVA>' . $vat_shipping . '</AliquotaIVA>
						</DettaglioLinee>';


	$DatiRiepilogo = new DatiRiepilogo();
	$DatiRiepilogo->TaxRateId = $shipping_tax_percentage_id;
	$DatiRiepilogo->AliquotaIVA = $vat_shipping;
	$DatiRiepilogo->ImponibileImporto = $totaleSpedizione;
	$DatiRiepilogo->Imposta = $totaleIvaSpedizione;
	array_push($DatiRiepilogoArr, $DatiRiepilogo);
} else {
	$totaleSpedizione = number_format((float) get_post_meta($order_id, '_order_shipping', true), 2, '.', '');
	$xml_string .= '<DettaglioLinee>
							<NumeroLinea>' . $numero_linea . '</NumeroLinea>
							<CodiceArticolo>
								<CodiceTipo>spedizione</CodiceTipo>
								<CodiceValore>0000</CodiceValore>
							</CodiceArticolo>
							<Descrizione>Spese di spedizione</Descrizione>
							<Quantita>1.00</Quantita>
							<PrezzoUnitario>' . $totaleSpedizione . '</PrezzoUnitario>
							<PrezzoTotale>' . $totaleSpedizione . '</PrezzoTotale>
							<AliquotaIVA>0.00</AliquotaIVA>
							<Natura>N4</Natura>
						</DettaglioLinee>';

	$DatiRiepilogo = new DatiRiepilogo();
	$DatiRiepilogo->TaxRateId = 0;
	$DatiRiepilogo->AliquotaIVA = 0;
	$DatiRiepilogo->ImponibileImporto = $totaleSpedizione;
	$DatiRiepilogo->Imposta = 0;
	array_push($DatiRiepilogoArr, $DatiRiepilogo);
}


/* EVENTUALI FEES */

foreach ($order->get_items('fee') as $item_id => $item_fee) {
	$fee_name = $item_fee->get_name();
	$fee_total = $item_fee->get_total();
	$fee_total_tax = $item_fee->get_total_tax();
	$fee_tax_class = $item_fee->get_tax_class();
	$tax_rate_fee = 0;
	$tax_rate_id_fee = 0;

	$percentuale_tassa_fee = $wpdb->get_results("SELECT tax_rate, tax_rate_id FROM  " . $wpdb->prefix . "woocommerce_tax_rates WHERE tax_rate_class = '" . $fee_tax_class . "' limit 1");
	$rowcount_percentuale_tassa_fee = $wpdb->num_rows;
	if ($rowcount_percentuale_tassa_fee > 0) {
		foreach ($percentuale_tassa_fee as $tassa_f) {
			$tax_rate_fee = number_format($tassa_f->tax_rate, 2, '.', '');
			$tax_rate_id_fee = $tassa_f->tax_rate_id;
		}
	}

	wp_reset_query();
	if ($tax_rate_fee != 0.0) {
		$xml_string .= '<DettaglioLinee>
							<NumeroLinea>' . $numero_linea . '</NumeroLinea>
							<CodiceArticolo>
								<CodiceTipo>tassa</CodiceTipo>
								<CodiceValore>0000</CodiceValore>
							</CodiceArticolo>
							<Descrizione>' . $fee_name . '</Descrizione>
							<Quantita>1.00</Quantita>
							<PrezzoUnitario>' . number_format($fee_total, 2, '.', '') . '</PrezzoUnitario>
							<PrezzoTotale>' . number_format($fee_total, 2, '.', '') . '</PrezzoTotale>
							<AliquotaIVA>' . $tax_rate_fee . '</AliquotaIVA>					
						</DettaglioLinee>';
	} else {

		$xml_string .= '<DettaglioLinee>
							<NumeroLinea>' . $numero_linea . '</NumeroLinea>
							<CodiceArticolo>
								<CodiceTipo>tassa</CodiceTipo>
								<CodiceValore>0000</CodiceValore>
							</CodiceArticolo>
							<Descrizione>' . $fee_name . '</Descrizione>
							<Quantita>1.00</Quantita>
							<PrezzoUnitario>' . number_format($fee_total, 2, '.', '') . '</PrezzoUnitario>
							<PrezzoTotale>' . number_format($fee_total, 2, '.', '') . '</PrezzoTotale>
							<AliquotaIVA>0.00</AliquotaIVA>
							<Natura>N4</Natura>
						</DettaglioLinee>';
	}


	$DatiRiepilogo = new DatiRiepilogo();
	$DatiRiepilogo->TaxRateId = $tax_rate_id_fee;
	$DatiRiepilogo->AliquotaIVA = $tax_rate_fee;
	$DatiRiepilogo->ImponibileImporto = number_format($fee_total, 2, '.', '');
	$DatiRiepilogo->Imposta = number_format($fee_total_tax, 2, '.', '');
	array_push($DatiRiepilogoArr, $DatiRiepilogo);
}

/* ALIQUOTE IVA */


for ($i = 0; $i < count($DatiRiepilogoArr); $i++) {
	if ($DatiRiepilogoArr[$i]->AliquotaIVA != 0) {
		$xml_string .= '<DatiRiepilogo><AliquotaIVA>' . number_format($DatiRiepilogoArr[$i]->AliquotaIVA, 2, '.', '') . '</AliquotaIVA>';
		if ($DatiRiepilogoArr[$i]->Imposta != 0) {
			$xml_string .= '<ImponibileImporto>' . number_format($DatiRiepilogoArr[$i]->ImponibileImporto, 2, '.', '') . '</ImponibileImporto>';
			$xml_string .= '<Imposta>' . number_format($DatiRiepilogoArr[$i]->Imposta, 2, '.', '') . '</Imposta>';
		} else {
			$xml_string .= '<ImponibileImporto>' . number_format($DatiRiepilogoArr[$i]->ImponibileImporto, 2, '.', '') . '</ImponibileImporto>';
			$xml_string .= '<Imposta>' . number_format($DatiRiepilogoArr[$i]->ImponibileImporto * $DatiRiepilogoArr[$i]->AliquotaIVA / 100, 2, '.', '') . '</Imposta>';
		}
		$xml_string .= '<EsigibilitaIVA>I</EsigibilitaIVA>';
		$xml_string .= '</DatiRiepilogo>';
	} else {
		$xml_string .= '<DatiRiepilogo><AliquotaIVA>0.00</AliquotaIVA>';
		if ($DatiRiepilogoArr[$i]->Imposta != 0) {
			$xml_string .= '<ImponibileImporto>' . number_format($DatiRiepilogoArr[$i]->ImponibileImporto, 2, '.', '') . '</ImponibileImporto>';
			$xml_string .= '<Imposta>' . number_format($DatiRiepilogoArr[$i]->Imposta, 2, '.', '') . '</Imposta>';
		} else {
			$xml_string .= '<Natura>N4</Natura>';
			$xml_string .= '<ImponibileImporto>' . number_format($DatiRiepilogoArr[$i]->ImponibileImporto, 2, '.', '') . '</ImponibileImporto>';
			$xml_string .= '<Imposta>0.00</Imposta>';
		}
		$xml_string .= '<EsigibilitaIVA>S</EsigibilitaIVA>';
		$xml_string .= '<RiferimentoNormativo>non soggetto</RiferimentoNormativo>';
		$xml_string .= '</DatiRiepilogo>';
	}
}

$xml_string .= '
				</DatiBeniServizi>
				<DatiPagamento>
					<CondizioniPagamento>TP02</CondizioniPagamento>
					<DettaglioPagamento>
						<ModalitaPagamento>' . $payment_method . '</ModalitaPagamento>
						<DataScadenzaPagamento>' . $invoice_date . '</DataScadenzaPagamento>
						<ImportoPagamento>' . $order_total . '</ImportoPagamento>
					</DettaglioPagamento>
				</DatiPagamento>
			</FatturaElettronicaBody>
		</p:FatturaElettronica>';
