(function($) {
    'use strict';

    /**
     * All of the code for your public-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
     *
     * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
     *
     * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     */
    //hiding for private and fix required fields
    $(function() {
        if ($('#_freeinvoice_api_customer_is_a_private').length == 1) {
            var required_star = $('#_freeinvoice_api_customer_is_a_private_field').find('label .required')[0].outerHTML,
                optional_text = $('#_freeinvoice_api_optional_field').find('label .optional')[0].outerHTML;
            $(document).on('change', '#_freeinvoice_api_customer_is_a_private', function() {
                private_or_company_check(this, required_star, optional_text);
            });
            private_or_company_check('#_freeinvoice_api_customer_is_a_private', required_star, optional_text);
        }
    });

    function private_or_company_check(ctrl, required_star, optional_text) {
        if ($(ctrl).val() == 'private')
            private_enabler(required_star, optional_text)
        else
            company_enabler(required_star, optional_text)
    }

    function private_enabler(required_star, optional_text) {
        $('.freeinvoice-api-h4private').addClass('freeinvoice-api-hidden');
        $('.freeinvoice-api-hidden').each(function() {
            unrequired(this, optional_text);
        });
        $('.freeinvoice-api-private-required').each(function() {
            required(this, required_star);
        });
    }

    function company_enabler(required_star, optional_text) {
        $('.freeinvoice-api-h4private').removeClass('freeinvoice-api-hidden');
        $('.freeinvoice-api-private-required').each(function() {
            unrequired(this, optional_text);
        });
        $('.freeinvoice-api-company-required').each(function() {
            required(this, required_star);
        });
    }

    function required(el, required_star) {
        $(el).addClass("validate-required");
        $(el).find('label .optional').remove();
        $(el).find('label .required').remove();
        $(el).children('label').append(required_star);
    }

    function unrequired(el, optional_text) {
        $(el).removeClass("validate-required");
        $(el).removeClass("woocommerce-validated");
        $(el).find('label .optional').remove();
        $(el).find('label .required').remove();
        $(el).children('label').append(optional_text);
    }
})(jQuery);