<?php

/**
 * Fired when the plugin is uninstalled.
 *
 * When populating this file, consider the following flow
 * of control:
 *
 * - This method should be static
 * - Check if the $_REQUEST content actually is the plugin name
 * - Run an admin referrer check to make sure it goes through authentication
 * - Verify the output of $_GET makes sense
 * - Repeat with other user roles. Best directly by using the links/query string parameters.
 * - Repeat things for multisite. Once for a single site in the network, once sitewide.
 *
 * This file may be updated more in future version of the Boilerplate; however, this is the
 * general skeleton and outline for how the file should work.
 *
 * For more information, see the following discussion:
 * https://github.com/tommcfarlin/WordPress-Plugin-Boilerplate/pull/123#issuecomment-28541913
 *
 * @link       https://www.cloudfinance.it/
 * @since      1.0.0
 *
 * @package    Freeinvoice_Api
 */

// If uninstall not called from WordPress, then exit.
if (!defined('WP_UNINSTALL_PLUGIN')) die;


global $wpdb;
$prefix = '_freeinvoice_api_';
if (filter_var(get_option($prefix . 'permanent_data'), FILTER_VALIDATE_BOOLEAN) === false) {
    // Delete options.
    $wpdb->query("DELETE FROM $wpdb->options WHERE option_name LIKE '$prefix%';");
    //Delete freeinvoice order meta
    $wpdb->query("DELETE FROM $wpdb->postmeta WHERE meta_key LIKE '$prefix%';");
    // drop custom database tables
    $wpdb->query("DROP TABLE IF EXISTS {$wpdb->prefix}freeinvoice_api_conn");
}
